----------------------------------------------------
-- Created by Oscar Duignan <oscarduignan@gmail.com>
----------------------------------------------------
--
----------------------------------------------------
-- Sets up the slash handling
----------------------------------------------------
function RFB_OnLoad()
	SLASH_RFB1 = "/rfbroll";
    SlashCmdList["RFB"] = RFB_BlameCheck;
	SLASH_RFBHELP1 = "/rfbhelp";
	SlashCmdList["RFBHELP"] = RFB_Help;
	SLASH_BLAME1 = "/rfbblame";
	SlashCmdList["BLAME"] = RFB_BlameRaid;
	SLASH_RAIDROLL1 = "/raidroll";
	SlashCmdList["RAIDROLL"] = RFB_RAIDROLL;
	if (DEFAULT_CHAT_FRAME) then
		DEFAULT_CHAT_FRAME:AddMessage('Roll For Blame: AddOn Loaded.');
	end;
end;
----------------------------------------------------
-- rolls for blame
----------------------------------------------------
function RFB_BlameCheck()
    -- Must be in a raid
	local myRaid = GetNumRaidMembers();
	local myRoll = 0; 
	--DEFAULT_CHAT_FRAME:AddMessage(myRaid);
    if (myRaid == 0) then
       DEFAULT_CHAT_FRAME:AddMessage('You are not in a raid.');
       return;
    end;
	myRoll = random(1,myRaid);
    -- BEGIN raid member loop
    SendChatMessage("rolls a "..myRoll..".","Emote")
	SendChatMessage("Rolling For Blame","RAID_WARNING")
	SendChatMessage("Blame Roll of "..myRoll..", Blame "..GetUnitName('raid'..myRoll).." for the wipe","RAID_WARNING")
	

end;

function RFB_BlameRaid()
    -- Must be in a raid
	local myRaid = GetNumRaidMembers();
	--local myRoll = random(1,myRaid);

	--DEFAULT_CHAT_FRAME:AddMessage('this feature is under development!');
	--DEFAULT_CHAT_FRAME:AddMessage(myRaid);
    if (myRaid == 0) then
        DEFAULT_CHAT_FRAME:AddMessage('You are not in a raid.');
       return;
    end;

    -- BEGIN raid member loop
	
	for i=1,(myRaid-1) do 
		SendChatMessage("I blame you for this wipe","WHISPER",nil,GetUnitName('raid'..i)) 
	end

    --SendChatMessage("Rolling For Blame","RAID_WARNING")
	--SendChatMessage("rolls a "..myRoll..".","Emote")
	--SendChatMessage("Blame "..GetUnitName('raid'..myRoll).." for the wipe","RAID_WARNING")
	--SendChatMessage("Blame "..GetUnitName('raid'..myRoll).." for the wipe","RAID_WARNING")

end;
function RFB_RAIDROLL()
    -- Must be in a raid
	local myRaid = GetNumRaidMembers();
	local myRoll =0
	
	
	myRoll=random(1,myRaid);
    --DEFAULT_CHAT_FRAME:AddMessage('this feature is under development!');
	--DEFAULT_CHAT_FRAME:AddMessage(myRaid);
    --if (myRaid == 0) then
    --    DEFAULT_CHAT_FRAME:AddMessage('You are not in a raid.');
    --   return;
    --end;

    -- BEGIN raid member loop
	
	
    --SendChatMessage("Rolling For Blame","RAID_WARNING")
	SendChatMessage("uses RaidRoll to roll a "..myRoll..".","Emote")
	SendChatMessage("RaidRoll has selected you as the random winner of loot","WHISPER",nil,GetUnitName('raid'..myRoll))
	--SendChatMessage("Send Loot to "..GetUnitName('raid'..myRoll)..". They are #"..myRoll.." in the raid","Raid")
	DEFAULT_CHAT_FRAME:AddMessage("Send Loot to "..GetUnitName('raid'..myRoll)..". They are #"..myRoll.." in the raid");
	
	--SendChatMessage("Blame "..GetUnitName('raid'..myRoll).." for the wipe","RAID_WARNING")

end;

function RFB_Help()
	DEFAULT_CHAT_FRAME:AddMessage('/rfbroll - rolls fpr blame.');
	DEFAULT_CHAT_FRAME:AddMessage('/rfbblame - blames everyone in raid for wipe.');
	DEFAULT_CHAT_FRAME:AddMessage('/raidroll - uses a randomly generated number to show ML who to send an item to is a raidroll is used');
end;



